Package com.independentsoft.office.odf.fields

# Enum Class TableType

java.lang.Object
java.lang.Enum<TableType>
com.independentsoft.office.odf.fields.TableType

All Implemented Interfaces:
  `Serializable`, `Comparable<TableType>`, `Constable`

public enum TableType extends Enum<TableType>
Represents the reference made by a database table.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMAND`
  The value of the text:table-name attribute is an SQL statement.
  `NONE`
  None
  `QUERY`
  The value of the text:table-name attribute is the name of a database query.
  `TABLE`
  The value of the text:table-name attribute is the name of a database table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TableType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TableType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TABLE

    public static final TableType TABLE
    The value of the text:table-name attribute is the name of a database table.

  - ### QUERY

    public static final TableType QUERY
    The value of the text:table-name attribute is the name of a database query.

  - ### COMMAND

    public static final TableType COMMAND
    The value of the text:table-name attribute is an SQL statement.

  - ### NONE

    public static final TableType NONE
    None

- ## Method Details

  - ### values

    public static TableType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TableType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null